(function (lib, img, cjs) {

var p; // shortcut to reference prototypes

// stage content:
(lib.hiraganaGO = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 3
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#CCCCCC").s().p("AgegFQgLgQAQAFQAfAGAdAKQgLAHgPAIIgFADQgPgNgTgKg");
	this.shape.setTransform(101.5,21.4);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#CCCCCC").s().p("AhFgjQgLgQAQAFQBMAOA/AoQgJAWgkARIgCABQgkgvg9gkg");
	this.shape_1.setTransform(105.4,24.4);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#CCCCCC").s().p("AAuBQIAAgBQgmhThjg/QgKgQAQAFQBYAQBFA1QAOAKAKANQAAAbgDALQgJAcgeAAIgIAAg");
	this.shape_2.setTransform(107.6,27.6);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#CCCCCC").s().p("AAjBBQgjhThlg/QgLgQAQAFQBbAQBDA1QAgAZAKAlQALAqggALQgHACgHAAQgVAAgNgdg");
	this.shape_3.setTransform(108.6,29);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("#CCCCCC").s().p("AAjBuQgjhVhlg9QgLgQAQAFQBbAQBDAzQAgAbAKAlQALAqggALQgHADgHAAQgVAAgNgegABGhnQgQgMgTgMQgLgQAQAGQAdAFAcAJQgLALgQAJg");
	this.shape_4.setTransform(108.6,24.5);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("#CCCCCC").s().p("AAABuQglhVhlg9QgLgQAQAFQBbAQBDAzQAgAbAKAlQALAqggALQgHADgGAAQgWAAgLgegAAAh/QgLgQAOAGQBOAOA/ApQgNATgaAPIgNABQglgrg3glg");
	this.shape_5.setTransform(112.3,24.5);

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("#CCCCCC").s().p("AgbBuQglhVhlg9QgLgQAQAFQBbAQBFAzQAeAbAKAlQALAqggALQgHADgGAAQgUAAgNgegAB3ADQgLgDgKAAQgnhHhWg4QgLgQAQAGQBZAQBFA1QAWATAMAYIgDAKQgMAYgTAAIgRgGg");
	this.shape_6.setTransform(115,24.5);

	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f("#CCCCCC").s().p("AggBuQglhVhlg9QgLgQAQAFQBbAQBFAzQAeAbAKAlQALAqggALQgHADgHAAQgTAAgNgegABoAUQglhThjhAQgLgQAQAGQBZAQBFA1QAgAaAKAmQALAoggALQgHACgGAAQgXAAgMgdg");
	this.shape_7.setTransform(115.5,24.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[]},18).to({state:[]},1).to({state:[{t:this.shape}]},1).to({state:[{t:this.shape_1}]},1).to({state:[{t:this.shape_2}]},1).to({state:[{t:this.shape_3}]},1).to({state:[{t:this.shape_4}]},3).to({state:[{t:this.shape_5}]},1).to({state:[{t:this.shape_6}]},1).to({state:[{t:this.shape_7}]},1).wait(1));

	// Layer 2
	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f("#666666").s().p("AggBuQglhVhlg9QgLgQAQAFQBbAQBFAzQAeAbAKAlQALAqggALQgHADgHAAQgTAAgNgegABoAUQglhThjhAQgLgQAQAGQBZAQBFA1QAgAaAKAmQALAoggALQgHACgGAAQgXAAgMgdg");
	this.shape_8.setTransform(115.5,24.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_8}]}).to({state:[{t:this.shape_8}]},18).to({state:[{t:this.shape_8}]},10).wait(2));

	// Layer 1 copy 2
	this.shape_9 = new cjs.Shape();
	this.shape_9.graphics.f("#CCCCCC").s().p("AhBgrQAAgaAVAVQAmAqBIAVIgDAOQgGAPgHAPQhNgpgmg9g");
	this.shape_9.setTransform(42.2,30.8);

	this.shape_10 = new cjs.Shape();
	this.shape_10.graphics.f("#CCCCCC").s().p("AAOAxQhZgqgqhDQAAgbAVAVQA9BDCZARQgBAZgTAhQgxgLgjgQg");
	this.shape_10.setTransform(47.4,32.6);

	this.shape_11 = new cjs.Shape();
	this.shape_11.graphics.f("#CCCCCC").s().p("AgnAqQhagqgrhDQAAgbAWAVQBPBZDzAAIABAAQgLAZgWAqQh0gLg/geg");
	this.shape_11.setTransform(52.8,33.3);

	this.shape_12 = new cjs.Shape();
	this.shape_12.graphics.f("#CCCCCC").s().p("ABYBOIAEgCQh9gLhFggQhbgogqhFQAAgbAVAVQBQBZDyAAQBEAAAwgCQAMAYAAAKQAAAMgLAgQgaADgZAGQgmgOgwAAg");
	this.shape_12.setTransform(59.2,34.2);

	this.shape_13 = new cjs.Shape();
	this.shape_13.graphics.f("#CCCCCC").s().p("AAABOIADgCQh+gLhFggQhagogrhFQAAgbAWAVQBPBZDzAAQCvAAAwgOQAVgGAVAUQAQAQAQAVQAbAlgwAAIhwAAQg0AAguALQgmgOgvAAg");
	this.shape_13.setTransform(68.1,34.2);

	this.shape_14 = new cjs.Shape();
	this.shape_14.graphics.f("#CCCCCC").s().p("Ai1CDQBPhABpgvQh+gLhFgeQhagqgrhFQAAgbAWAVQBPBbDzAAQCvAAAwgQQAVgGAVAWQAQAQAQAVQAbAjgwAAIhwAAQg/AAg2AQQhoAgh/BFQgMAGgGAAQgIAAAKgRg");
	this.shape_14.setTransform(68.1,39.8);

	this.shape_15 = new cjs.Shape();
	this.shape_15.graphics.f("#CCCCCC").s().p("AlvEaQAKgVALAbQAMAdAQAbIgbAUQgPgmgHgsgAiLhSQBQhABogwQh9gKhFggQhbgrgqhFQAAgaAVAVQBQBaDyAAQCvAAAwgQQAWgFAVAVQAQAQAQAVQAaAlgwAAIhvAAQhAAAg1AQQhqAgh+BFQgMAGgFAAQgJAAAKgQg");
	this.shape_15.setTransform(63.9,61.3);

	this.shape_16 = new cjs.Shape();
	this.shape_16.graphics.f("#CCCCCC").s().p("AklGDQg6hFgQhlQAKgVALAbQAbBFA1A1QAYAYAeARQgQAZgVASQgYgTgUgXgAiLiTQBQhABogwQh9gKhFggQhbgrgqhFQAAgaAVAVQBQBaDyAAQCvAAAwgQQAWgFAVAVQAQAQAQAVQAaAlgwAAIhvAAQhAAAg1AQQhqAgh+BFQgMAGgFAAQgJAAAKgQg");
	this.shape_16.setTransform(63.9,67.8);

	this.shape_17 = new cjs.Shape();
	this.shape_17.graphics.f("#CCCCCC").s().p("AklFkQg6hFgQhlQAKgVALAaQAbBFA1A1QBCBCBvASIAFAcQgFAQgKATQh7gWhHhSgAiLizQBQhABogvQh9gLhFggQhbgqgqhFQAAgbAVAVQBQBbDyAAQCvAAAwgQQAWgGAVAWQAQAQAQAVQAaAlgwAAIhvAAQhAAAg1AQQhqAgh+BFQgMAGgFAAQgJAAAKgRg");
	this.shape_17.setTransform(63.9,71);

	this.shape_18 = new cjs.Shape();
	this.shape_18.graphics.f("#CCCCCC").s().p("AgGHQQi/AAhghwQg6hFgQhlQAKgVALAbQAbBFA1A1QBaBaCvAAICxAAIALAnQAAALgDAOIi+AAgAiLi2QBQhABogwQh9gKhFggQhbgrgqhFQAAgaAVAVQBQBaDyAAQCvAAAwgQQAWgFAVAVQAQAQAQAVQAaAlgwAAIhvAAQhAAAg1AQQhqAgh+BFQgMAGgFAAQgJAAAKgQg");
	this.shape_18.setTransform(63.9,71.3);

	this.shape_19 = new cjs.Shape();
	this.shape_19.graphics.f("#CCCCCC").s().p("AgOHQQi/AAhghwQg6hFgQhlQAKgVALAbQAbBFA1A1QBaBaCvAAIEDAAQBPAAAvgJQAAANgMAsIgFAQIl1AAgAiTi2QBQhABogwQh9gKhFggQhbgrgqhFQAAgaAVAVQBQBaDyAAQCvAAAwgQQAWgFAVAVQAQAQAQAVQAaAlgwAAIhvAAQhAAAg1AQQhoAgiABFQgMAGgFAAQgJAAAKgQg");
	this.shape_19.setTransform(64.7,71.3);

	this.shape_20 = new cjs.Shape();
	this.shape_20.graphics.f("#CCCCCC").s().p("AhQHQQjAAAhfhwQg7hFgQhlQALgVALAbQAaBFA1A1QBbBaCvAAIECAAQBVAAAwgLQAwgKAFAAQAgAAAgAqQAgArhFAAIncAAgAjVi2QBPhABrgwQiAgKhFggQhagrgrhFQAAgaAWAVQBPBaD1AAQCtAAAwgQQAVgFAVAVQAQAQAQAVQAbAlgwAAIhwAAQg/AAg2AQQhoAgh/BFQgMAGgGAAQgIAAAKgQg");
	this.shape_20.setTransform(71.3,71.3);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.shape_9}]},1).to({state:[{t:this.shape_10}]},1).to({state:[{t:this.shape_11}]},1).to({state:[{t:this.shape_12}]},1).to({state:[{t:this.shape_13}]},1).to({state:[{t:this.shape_14}]},1).to({state:[{t:this.shape_15}]},5).to({state:[{t:this.shape_16}]},1).to({state:[{t:this.shape_17}]},1).to({state:[{t:this.shape_18}]},1).to({state:[{t:this.shape_19}]},1).to({state:[{t:this.shape_20}]},1).to({state:[{t:this.shape_20}]},13).wait(1));

	// Layer 1 copy
	this.shape_21 = new cjs.Shape();
	this.shape_21.graphics.f("#666666").s().p("AhQHQQjAAAhfhwQg7hFgQhlQALgVALAbQAaBFA1A1QBbBaCvAAIECAAQBVAAAwgLQAwgKAFAAQAgAAAgAqQAgArhFAAIncAAgAjVi2QBPhABrgwQiAgKhFggQhagrgrhFQAAgaAWAVQBPBaD1AAQCtAAAwgQQAVgFAVAVQAQAQAQAVQAbAlgwAAIhwAAQg/AAg2AQQhoAgh/BFQgMAGgGAAQgIAAAKgQg");
	this.shape_21.setTransform(71.3,71.3);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_21}]}).to({state:[{t:this.shape_21}]},16).to({state:[]},1).wait(13));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(27,10.5,106.2,107.3);


// symbols:
(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,320,240);

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;